Wallet Tokens
Get wallet tokens
List all wallet tokens.
GET
/
api
/
wallet
Get wallet tokens
curl --request GET \
--url https://{cluster_id}.on-hellgate.cloud/api/wallet \
--header 'x-api-key: <api-key>'import requests
url = "https://{cluster_id}.on-hellgate.cloud/api/wallet"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://{cluster_id}.on-hellgate.cloud/api/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "0d5c1774-5f3f-4a2f-9c86-1f30a0ea9be2",
"kind": "google_pay_pan_only",
"ingestion_path": "google_pay",
"scheme": "visa",
"auth_method": "PAN_ONLY",
"requires_3ds": true,
"card": {
"scheme": "visa",
"last4": "4242",
"expiry_month": 12,
"expiry_year": 2028
},
"created_at": "2026-06-29T12:00:00Z"
}
],
"links": {
"next": "https://my-cluster-id.on-hellgate.cloud/api/wallet?after=0d5c1774-5f3f-4a2f-9c86-1f30a0ea9be2&limit=20"
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}Authorizations
APIKeyAdminToken
Query Parameters
The limit parameter defines the maximum number of rows returned in a single call and enables consecutive pagination using the next link provided in the response payload.
Required range:
1 <= x <= 100⌘I
Get wallet tokens
